# vim: set ts=4 sw=4 et:

Name:           gst123
Version:        0.2.1
Release:        1.3
Summary:        GStreamer based Command Line Music Player
Source:         http://space.twc.de/~stefan/gst123/gst123-%{version}.tar.bz2
Source1:        gst123.desktop
Patch2:         gst123-gtk2_backport_GDK_BLANK_CURSOR.patch
URL:            http://space.twc.de/~sfefan/gst123.php
Group:          Productivity/Multimedia/Sound/Players
License:        GNU Library General Public License version 2 or later (LGPL v2 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gtk2-devel
BuildRequires:  ncurses-devel
BuildRequires:  gcc make glibc-devel gcc-c++ libstdc++-devel
BuildRequires:  autoconf automake libtool pkgconfig
BuildRequires:  update-desktop-files

%description
The program gst123 is designed to be a more flexible command line player in the
spirit of ogg123 and mpg123, based on gstreamer. It plays all file formats
gstreamer understands, so if you have a music collection which contains
different file formats, like flac, ogg and mp3, you can use gst123 to play all
your music files.


%prep
%setup -q
%patch2

%build
%configure
%__make %{?_smp_flags} V=1

%install
%makeinstall

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo Player

%find_lang "%{name}" || echo -n >"%{name}.lang"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/gst123
%doc %{_mandir}/man1/gst123.1%{ext_man}
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Sep  4 2011 pascal.bleser@opensuse.org
- update to 0.2.1:
  * fixed minor memory leak
  * fix warnings due to wrong glib option parsing
  * use wikihtml2man for documentation (replaces old doxer based manpage)
* Tue Apr 12 2011 pascal.bleser@opensuse.org
- update to 0.2.0:
  * the behavior of the options --shuffle, --repeat, and --random is now
    identical to ogg123
  * the colon character is now supported in filenames
  * the "none" audio driver was added, which disables audio output
  * the --full-version option is supported, which prints versions of the
    libraries used by gst123
  * minor fixes were made
* Sun Jan 16 2011 pascal.bleser@opensuse.org
- update to 0.1.4:
  * a crash for "dumb" terminals was fixed
* Sun Nov 28 2010 pascal.bleser@opensuse.org
- update to 0.1.3:
  * support for m3u and pls playlists was added
  * JACK audio output is available now
  * the audio driver can be set using a configuration file (or on the command line, as before)
* Mon Jul  5 2010 pascal@links2linux.de
- update to 0.1.2:
  * adds an -a option to select the audio driver (OSS/ALSA) and device (/dev/dsp1, hw:1)
  * fixes a crash triggered when closing the video window
* Sat Jun 26 2010 pascal@links2linux.de
- update to 0.1.1:
  * the code was fixed to allow URIs in playlists
- changes from 0.1.0:
  * proper support for watching video files with gst123 has been added,
    including a full screen mode (f) and using keys (like page up, cursor left,
    etc.) within the video window
  * also hides the mouse in the video widget and uses the correct aspect ratio during zoom
  * GStreamer playbin2 is now used instead of playbin
  * option parsing was improved (--help, --help-gst, and --help-gtk work)
  * the ability to disable video stream (-x, --novideo) was added
  * pause / muted state is now printed in the status display
* Tue May 11 2010 pascal@links2linux.de
- update to 0.0.3:
  * fixes buggy key handling when keys are autorepeating
  * restores proper terminal settings after Ctrl+Z
  * adds keys for mute and volume control
  * displays the video codec when present
* Mon May  3 2010 pascal@links2linux.de
- initial package: 0.0.2
